%define base gtk-engines

Name: %base-xfce
Version: 2.1.1
Release: alt2.4

Summary: A GTK+2 theme engine - XFCE
License: GPL
Group: Graphical desktop/GNOME
Url: http://xfce.sourceforge.net

Source: http://prdownloads.sorceforge.net/xfce/gtk-xfce-engine-%version.tar.gz

%define gtk_ver 2.4.0
%define gtk_binary_ver 2.4.0
Requires: libgtk+2 >= %gtk_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Thu Mar 18 2004
BuildRequires: XFree86-devel-static glib2-devel glibc-devel-static libatk-devel libgtk+2-devel libpango-devel pkgconfig

%description
This package contains Xfce theme engine for GTK+2 and several themes
that use this engine. In particular the Funklor theme by Michael Pearce
modified to use the Xfce engine and another theme that looks vaguely
like the system from Redmond.

%prep
%setup -q -n gtk-xfce-engine-%version

%build
%configure
%make_build

%install
%makeinstall

%__rm -f %buildroot%_libdir/gtk-2.0/%gtk_binary_ver/engines/*.la

%files
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*.so
%_datadir/themes/*
%doc AUTHORS ChangeLog

%changelog
* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2.4
- rebuild against gtk-2.4.0.

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1.4
- new version.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- First build for Sisyphus.
